# Returns tasks assigned to the specified user.

GET https://api.awork.com/api/v1/users/{userId}/assignedtasks

Returns tasks assigned to the specified user. The result includes tasks assigned to that user. <Check title="Required Permissions" icon="key">The user must have permission to access the requested resource.</Check>

## Request example

```sh
curl -X GET --globoff 'https://api.awork.com/api/v1/users/{userId}/assignedtasks' \
  -H 'Authorization: Bearer <token>'
```

- path parameter `userId`: string (required). The id of the user to get the tasks for.

- query parameter `inProgress`: boolean. Whether to return only assigned project tasks of running projects. Defaults to true.

- query parameter `assignedOnFrom`: string. The start date for filtering by assignment date. If set, tasks are returned only when the assignment date is greater or equal than this value.

- query parameter `assignedOnTo`: string. The end date for filtering by assignment date. If set, tasks are returned only when the assignment date is less or equal than this value.

- query parameter `page`: integer. Page number for pagination

- query parameter `pageSize`: integer. Number of items per page

- query parameter `orderby`: string. The properties to order by

- query parameter `filterby`: string. The filter expression to filter by

## Response 200

OK

application/json

```json
[
  {
    "name": "Create logo concept",
    "description": "We need to create a new impactful concept for the customer logo",
    "isPrio": true,
    "startOn": "2023-03-03T17:00:00Z",
    "dueOn": "2023-03-18T17:00:00Z",
    "laneOrder": 1,
    "plannedDuration": 21600,
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "taskNumber": 1,
    "taskIdentifier": "string",
    "isExternal": true,
    "createdVia": "string",
    "isHiddenForConnectUsers": true,
    "baseType": "projecttask",
    "taskStatusId": "123e4567-e89b-12d3-a456-426614174000",
    "taskStatus": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "Conceptualize",
      "type": "progress",
      "order": 2,
      "icon": "arrow_forward",
      "projectId": "123e4567-e89b-12d3-a456-426614174000",
      "projectTypeId": "123e4567-e89b-12d3-a456-426614174000",
      "workflowId": "123e4567-e89b-12d3-a456-426614174000",
      "createdOn": "2022-03-{10}T15:51:58.100Z",
      "createdBy": "123e4567-e89b-12d3-a456-426614174000",
      "updatedOn": "2022-03-10T16:15:26.100Z",
      "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
      "isExternal": true
    },
    "typeOfWorkId": "123e4567-e89b-12d3-a456-426614174000",
    "typeOfWork": {
      "id": "80a2b26b-9fb3-42b5-b6dc-126c437cad5d",
      "name": "Design",
      "icon": "thumb_up",
      "isArchived": false
    },
    "assignees": [
      {
        "id": "80a2b26b-9fb3-42b5-b6dc-126c437cad5d",
        "firstName": "Carla",
        "lastName": "Creative",
        "hasImage": true,
        "plannedEffort": 1,
        "isDistributedPlannedEffort": true,
        "updatedOn": "2020-02-30T18:52:54.945Z",
        "isExternal": true
      }
    ],
    "projectId": "123e4567-e89b-12d3-a456-426614174000",
    "project": {
      "id": "80a2b26b-9fb3-42b5-b6dc-126c437cad5d",
      "name": "Design",
      "projectKey": "string",
      "projectStatus": {
        "id": "80a2b26b-9fb3-42b5-b6dc-126c437cad5d",
        "name": "Design",
        "description": "Work in progress",
        "type": "todo",
        "isArchived": false
      },
      "company": {
        "id": "80a2b26b-9fb3-42b5-b6dc-126c437cad5d",
        "name": "Design",
        "hasImage": true,
        "description": "NCNSTN Brand Design Company"
      },
      "companyId": "123e4567-e89b-12d3-a456-426614174000",
      "projectType": {
        "id": "80a2b26b-9fb3-42b5-b6dc-126c437cad5d",
        "name": "Design",
        "icon": "thumb_up",
        "isArchived": false
      },
      "hasImage": true,
      "isPrivate": true,
      "isBillableByDefault": true,
      "members": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "userId": "123e4567-e89b-12d3-a456-426614174000",
          "projectRoleId": "123e4567-e89b-12d3-a456-426614174000",
          "projectRoleName": "string",
          "isResponsible": true,
          "isExternal": true
        }
      ],
      "color": "purple",
      "createdBy": "123e4567-e89b-12d3-a456-426614174000",
      "teams": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000"
        }
      ],
      "customFields": [
        {
          "customFieldDefinitionId": "123e4567-e89b-12d3-a456-426614174000",
          "userIdValue": "123e4567-e89b-12d3-a456-426614174000",
          "clientIdValue": "123e4567-e89b-12d3-a456-426614174000",
          "numberValue": 123.45,
          "selectionOptionIdValue": "123e4567-e89b-12d3-a456-426614174000",
          "selectionOption": {
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "value": "Website Design",
            "color": "purple",
            "order": 0
          },
          "textValue": "S1: Business Critical",
          "dateValue": "2026-01-15T09:30:00Z",
          "booleanValue": true
        }
      ],
      "isExternal": true
    },
    "correlationId": "123e4567-e89b-12d3-a456-426614174000",
    "parentId": "123e4567-e89b-12d3-a456-426614174000",
    "parentTask": {
      "id": "80a2b26b-9fb3-42b5-b6dc-126c437cad5d",
      "name": "Design",
      "createdBy": "123e4567-e89b-12d3-a456-426614174000",
      "userId": "123e4567-e89b-12d3-a456-426614174000",
      "assigneeIds": [
        "123e4567-e89b-12d3-a456-426614174000"
      ]
    },
    "isSubtask": true,
    "numberOfSubtasks": 1,
    "hasAttachment": false,
    "lists": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "createdOn": "2021-03-22T15:00:00Z",
        "createdBy": "123e4567-e89b-12d3-a456-426614174000",
        "updatedOn": "2021-03-22T16:30:00Z",
        "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
        "name": "Product and Marketing To-Dos",
        "order": 2,
        "plannedDuration": 1,
        "totalPlannedDuration": 1,
        "totalPlannedDurationWithHierarchy": 1,
        "isArchived": false,
        "isHiddenForConnectUsers": true,
        "orderOfTask": 5
      }
    ],
    "entityId": "123e4567-e89b-12d3-a456-426614174000",
    "userId": "123e4567-e89b-12d3-a456-426614174000",
    "tags": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "Design",
        "color": "purple"
      }
    ],
    "createdOn": "2022-02-29T18:52:54.945Z",
    "createdBy": "123e4567-e89b-12d3-a456-426614174000",
    "updatedOn": "2020-02-30T18:52:54.945Z",
    "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
    "closedOn": "2026-01-15T09:30:00Z",
    "closedBy": "123e4567-e89b-12d3-a456-426614174000",
    "order": 2,
    "subtaskOrder": 1,
    "createdFromTaskId": "123e4567-e89b-12d3-a456-426614174000",
    "isRecurring": true,
    "customFields": [
      {
        "customFieldDefinitionId": "123e4567-e89b-12d3-a456-426614174000",
        "userIdValue": "123e4567-e89b-12d3-a456-426614174000",
        "clientIdValue": "123e4567-e89b-12d3-a456-426614174000",
        "numberValue": 123.45,
        "selectionOptionIdValue": "123e4567-e89b-12d3-a456-426614174000",
        "selectionOption": {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "value": "Website Design",
          "color": "purple",
          "order": 0
        },
        "textValue": "S1: Business Critical",
        "dateValue": "2026-01-15T09:30:00Z",
        "booleanValue": true
      }
    ],
    "deriveDatesFromSubtasks": true,
    "trackedDuration": 1200,
    "totalTrackedDuration": 1200,
    "totalPlannedDuration": 21600,
    "resourceVersion": 637825154598030700,
    "checklistItemsDoneCount": 2,
    "checklistItemsCount": 5,
    "taskSchedulesCount": 1,
    "isCompletelyScheduled": true,
    "commentCount": 1
  }
]
```
